#
# spec file for package kubectl-neat
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           kubectl-neat
Version:        2.0.4
Release:        1.4
Summary:        Clean up Kubernetes yaml and json output to make it readable
License:        Apache-2.0
URL:            https://github.com/itaysk/kubectl-neat
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.22

%description
Remove clutter from Kubernetes manifests to make them more readable.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags="-X main.Version=%{version}"

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc Readme.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri Jul 12 2024 opensuse_buildservice@ojkastl.de
- Update to version 2.0.4:
  * satisfy gofmt
  * bump go in ci
  * prepare for v2.0.4
  * upgrade k8s version
  * upgrade external tools
  * bump go versoin to 1.22
  * Bump golang.org/x/net from 0.0.0-20211209124913-491a49abca63 to
    0.23.0
  * Bump github.com/docker/distribution
  * Bump golang.org/x/text from 0.3.6 to 0.3.8
  * change bash shebangs to be more portable
* Wed May 26 2021 Johannes Kastl <kastl@b1-systems.de>
- initial version of the package kubectl-neat
